Bug 256043 - audio/libsidplayfp: Update to 2.2.0, Reset MAINTAINER
Summary: audio/libsidplayfp: Update to 2.2.0, Reset MAINTAINER
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL: https://github.com/libsidplayfp/libsi...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-05-20 22:05 UTC by Daniel Engberg
Modified: 2021-06-15 17:31 UTC (History)
5 users (show)

See Also:
linimon: maintainer-feedback? (liangtai.s16)


Attachments
Patch for libsidplayfp (1.26 KB, patch)
2021-05-20 22:06 UTC, Daniel Engberg
koobs: maintainer-approval+
Details | Diff
Patch for libsidplayfp v2 (1.42 KB, patch)
2021-06-12 18:37 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-05-20 22:05:23 UTC

    
Comment 1 Daniel Engberg 2021-05-20 22:06:43 UTC
Created attachment 225138 [details]
Patch for libsidplayfp

Update libsidplayfp to 2.1.2
Comment 2 Daniel Engberg 2021-05-20 22:08:51 UTC
Compile tested on 13.0-STABLE #0 stable/13-n245227-5ec4eb443e8 (amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 3 Nuno Teixeira freebsd_committer 2021-05-24 06:58:18 UTC
poudriere testport OK on 140amd64|i386, 130amd64|i386, 122amd64|i386 and 114amd64|i386.

Waiting for maintainer approval.

Thanks
Comment 4 Nuno Teixeira freebsd_committer 2021-05-25 06:27:59 UTC
To maintainer (liangtai.s16@gmail.com):

When you give your approval, please don't forget approval for the patch/diff as well, so I know that is ready to be commited.

Thanks
Comment 5 Daniel Engberg 2021-05-31 21:40:16 UTC
Unless maintainer replies this time please return it to the pool

Refs:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=254371
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251305
Comment 6 Nuno Teixeira freebsd_committer 2021-06-01 05:43:34 UTC
done
Comment 7 Daniel Engberg 2021-06-05 20:45:30 UTC
Hi Nuno

Maintainer timeout, please return/assign this port to the pool while committing this patch.

Best regards,
Daniel
Comment 8 Guangyuan Yang freebsd_committer 2021-06-06 15:02:04 UTC
(In reply to Daniel Engberg from comment #7)

Do you want to take over the maintainership, or just reset it is fine?
Comment 9 Daniel Engberg 2021-06-06 23:35:31 UTC
Just reset it for now, thanks!
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-08 00:27:59 UTC
^Triage Assign to committer resolving (ports@ SNR)
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-08 00:29:02 UTC
Comment on attachment 225138 [details]
Patch for libsidplayfp

Approved by: portmgr (maintainer timeout: 14+ days)

Id suggest committing the maintainer reset separately (and merging it) before the version update, so maintainer info is consistent between branches (otherwise we'll continue to get reports)
Comment 13 Daniel Engberg 2021-06-12 18:37:09 UTC
Created attachment 225758 [details]
Patch for libsidplayfp v2

Update libsidplay to 2.2.0
Return port back to pool
Comment 14 Daniel Engberg 2021-06-14 17:39:12 UTC
Can someone please take care of this one and quarterly? :-)
Comment 15 commit-hook freebsd_committer 2021-06-15 00:46:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=87918eed667e32212639ce1c72d084a5fa476923

commit 87918eed667e32212639ce1c72d084a5fa476923
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-06-15 00:44:47 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 00:44:47 +0000

    audio/libsidplayfp: Reset maintainer

    PR:             256043
    Approved by:    portmgr (maintainer timeout: 14+ days)
    MFH:            2021Q2

 audio/libsidplayfp/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 16 commit-hook freebsd_committer 2021-06-15 00:47:51 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ae5151b68170f01ebda34f04e4c4548dd2c3292f

commit ae5151b68170f01ebda34f04e4c4548dd2c3292f
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-06-15 00:44:47 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 00:47:35 +0000

    audio/libsidplayfp: Reset maintainer

    PR:             256043
    Approved by:    portmgr (maintainer timeout: 14+ days)
    MFH:            2021Q2

    (cherry picked from commit 87918eed667e32212639ce1c72d084a5fa476923)

 audio/libsidplayfp/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 17 Kevin Bowling freebsd_committer 2021-06-15 01:47:13 UTC
(In reply to Daniel Engberg from comment #14)

Something is seriously wrong with the remote git commit hooks, even a singleton commit to remove the 'distinfo' results in:
remote: Some files in your commit does not have newline at end
remote: of file. Please fix this and try committing again.

so I can't fix this situation.
Comment 18 Mathieu Arnold freebsd_committer 2021-06-15 06:42:47 UTC
What exactly are you trying to commit that is giving out an error?
Comment 19 Kevin Bowling freebsd_committer 2021-06-15 16:26:45 UTC
(In reply to Mathieu Arnold from comment #18)
An update to distinfo, and fixing distinfo in main and 2021Q2 so it doesn't get snared by this filter.
Comment 20 commit-hook freebsd_committer 2021-06-15 17:01:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1f11aee3c6fc478ef13ebb759eb708ed44556b1d

commit 1f11aee3c6fc478ef13ebb759eb708ed44556b1d
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-06-15 16:58:47 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 16:58:47 +0000

    audio/libsidplayfp: Remove distinfo w/o EOF EOL

    The commit hook is preventing updates here, remove the file so it can be
    fixed and updated.

    PR:             256043
    MFH:            2021Q2

 audio/libsidplayfp/distinfo (gone) | 3 ---
 1 file changed, 3 deletions(-)
Comment 21 commit-hook freebsd_committer 2021-06-15 17:04:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d8f237b348e287cc7c0045c56e3645217b50f66e

commit d8f237b348e287cc7c0045c56e3645217b50f66e
Author:     Daniel Engberg <daniel.engberg.lists@pyret.net>
AuthorDate: 2021-06-15 17:02:22 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 17:03:41 +0000

    audio/libsidplayfp: Update to 2.2.0

    PR:             256043
    Approved by:    maintainer
    MFH:            2021Q2 (fix distinfo)

 audio/libsidplayfp/Makefile       | 6 ++----
 audio/libsidplayfp/distinfo (new) | 3 +++
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 22 commit-hook freebsd_committer 2021-06-15 17:05:51 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5764c51866b6726eb7d7e74ddb41c9e4e41fa9dc

commit 5764c51866b6726eb7d7e74ddb41c9e4e41fa9dc
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-06-15 16:58:47 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 17:05:29 +0000

    audio/libsidplayfp: Remove distinfo w/o EOF EOL

    The commit hook is preventing updates here, remove the file so it can be
    fixed and updated.

    PR:             256043
    MFH:            2021Q2
    (cherry picked from commit 1f11aee3c6fc478ef13ebb759eb708ed44556b1d)

 audio/libsidplayfp/distinfo (gone) | 3 ---
 1 file changed, 3 deletions(-)
Comment 23 commit-hook freebsd_committer 2021-06-15 17:07:53 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3a1d27d7ee454c8d08fcf1f5bcf9c774a51ba84f

commit 3a1d27d7ee454c8d08fcf1f5bcf9c774a51ba84f
Author:     Daniel Engberg <daniel.engberg.lists@pyret.net>
AuthorDate: 2021-06-15 17:02:22 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 17:07:03 +0000

    audio/libsidplayfp: Update to 2.2.0

    PR:             256043
    Approved by:    maintainer
    MFH:            2021Q2 (fix distinfo)

    (cherry picked from commit d8f237b348e287cc7c0045c56e3645217b50f66e)

 audio/libsidplayfp/Makefile       | 7 +++----
 audio/libsidplayfp/distinfo (new) | 3 +++
 2 files changed, 6 insertions(+), 4 deletions(-)
Comment 24 Kevin Bowling freebsd_committer 2021-06-15 17:31:26 UTC
Thanks for your contribution!